"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createFileManager = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _files = require("./files.crud");
var _settings = require("./settings.crud");
var _system = require("./system.crud");
const createFileManager = config => {
  const filesCrud = (0, _files.createFilesCrud)(config);
  const settingsCrud = (0, _settings.createSettingsCrud)(config);
  const systemCrud = (0, _system.createSystemCrud)(config);
  return (0, _objectSpread2.default)((0, _objectSpread2.default)((0, _objectSpread2.default)((0, _objectSpread2.default)({}, filesCrud), settingsCrud), systemCrud), {}, {
    storage: config.storage
  });
};
exports.createFileManager = createFileManager;